Re: [OMPI devel] Patcher on MacOS

2018-09-28 Thread Jeff Squyres (jsquyres) via devel
I didn't start working on a patch -- all I did was open #5671. > On Sep 28, 2018, at 5:51 PM, Nathan Hjelm via devel > wrote: > > Nope. We just never bothered to disable it on osx. I think Jeff was working > on a patch. > > -Nathan > >> On Sep 28, 2018, at 3:21 PM, Barrett, Brian via

Re: [OMPI devel] Patcher on MacOS

2018-09-28 Thread Jeff Squyres (jsquyres) via devel
I asked a similar question recently: https://github.com/open-mpi/ompi/issues/5671 > On Sep 28, 2018, at 5:21 PM, Barrett, Brian via devel > wrote: > > Is there any practical reason to have the memory patcher component enabled > for MacOS? As far as I know, we don’t have any transports

Re: [OMPI devel] Patcher on MacOS

2018-09-28 Thread Nathan Hjelm via devel
Nope. We just never bothered to disable it on osx. I think Jeff was working on a patch. -Nathan > On Sep 28, 2018, at 3:21 PM, Barrett, Brian via devel > wrote: > > Is there any practical reason to have the memory patcher component enabled > for MacOS? As far as I know, we don’t have any

[OMPI devel] Patcher on MacOS

2018-09-28 Thread Barrett, Brian via devel
Is there any practical reason to have the memory patcher component enabled for MacOS? As far as I know, we don’t have any transports which require memory hooks on MacOS, and with the recent deprecation of the syscall interface, it emits a couple of warnings. It would be nice to crush said

[OMPI devel] Announcing Open MPI v4.0.0rc3

2018-09-28 Thread Geoffrey Paulsen
The Third release candidate for Open MPI v4.0.0 (rc3) has been built and is available at: https://www.open-mpi.org/software/ompi/v4.0/ Only one News worth difference from v4.0.0rc2:- Fix a problem with ORTE not reporting error messages if an application  terminated normally but exited with

Re: [OMPI devel] Mac OS X 10.4.x users?

2018-09-28 Thread Paul Hargrove
Even *I* don't attempt to support OS X that old. :wink: -Paul On Fri, Sep 28, 2018 at 11:41 AM Jeff Squyres (jsquyres) via devel < devel@lists.open-mpi.org> wrote: > Fun fact: we cause configure to fail for OS X <= 10.4 anyway: > >

Re: [OMPI devel] Mac OS X 10.4.x users?

2018-09-28 Thread Jeff Squyres (jsquyres) via devel
Fun fact: we cause configure to fail for OS X <= 10.4 anyway: https://github.com/open-mpi/ompi/blob/master/configure.ac#L328-L347 According to the comment, we do this because of a known-bad implementation of pty in the OS X kernel that causes kernel panics. So I think we're definitely safe

Re: [OMPI devel] Mac OS X 10.4.x users?

2018-09-28 Thread Ralph H Castain
Good lord - break away!! > On Sep 28, 2018, at 11:11 AM, Barrett, Brian via devel > wrote: > > All - > > In trying to clean up some warnings, I noticed one (around pack/unpack in > net/if.h) that is due to a workaround of a bug in MacOS X 10.4.x and earlier. > The simple way to remove the

[OMPI devel] Mac OS X 10.4.x users?

2018-09-28 Thread Barrett, Brian via devel
All - In trying to clean up some warnings, I noticed one (around pack/unpack in net/if.h) that is due to a workaround of a bug in MacOS X 10.4.x and earlier. The simple way to remove the warning would be to remove the workaround, which would break the next major version of Open MPI on 10.4.x